<?php 
include('../../../../configuracion.php');
include('../config.php');
	 	 
///////////////////////////////////////////////////////
 
$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$despacho = isset($_POST['despacho']) ? $_POST['despacho'] : NULL;

$nombre = funcion::LimpiaComillaSimple($nombre);


// ============================

$autor = $_SESSION['administrador_mago_id'];
$fecha_ingreso = date('Y-m-d H:i:s');

		$datos = array(
			'nombre'			=> $db->string($nombre),
			'despacho'			=> $db->string($despacho),
		);

		$db->insert(TABLA,$datos);
		$id = $db->UltimoId(TABLA);

		if (!empty($id)) {
			$mensaje_respuesta = 'Datos agregados.';
			$url_respuesta = MAGO."c/".MODULO;
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo agregar.';
			$url_respuesta = MAGO."c/".MODULO.'/agregar';
		}


		// Creamos el Slug
		$slug = funcion::slug($nombre);

		// Verificamos que no se repita el slug
		$validar_slug = $db->results(TABLA,'id',"slug='{$slug}'");
		if(count($validar_slug)){
			$slug = $slug.'-'.$id;
		}

		// Subimos a la base de datos
		$datos_orden = array(
			'orden'		=> @$id+0,
		);		
		$db->update(TABLA,$datos_orden,"id='$id'");



	


echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>